XCB Sync API

Sync XCB Protocol Implementation. More...

## Data Structures

struct | xcb_sync_alarm_iterator_t
| xcb_sync_alarm_iterator_t More...
struct | xcb_sync_counter_iterator_t
| xcb_sync_counter_iterator_t More...
struct | xcb_sync_fence_iterator_t
| xcb_sync_fence_iterator_t More...
struct | xcb_sync_int64_t
| xcb_sync_int64_t More...
struct | xcb_sync_int64_iterator_t
| xcb_sync_int64_iterator_t More...
struct | xcb_sync_systemcounter_t
| xcb_sync_systemcounter_t More...
struct | xcb_sync_systemcounter_iterator_t
| xcb_sync_systemcounter_iterator_t More...
struct | xcb_sync_trigger_t
| xcb_sync_trigger_t More...
struct | xcb_sync_trigger_iterator_t
| xcb_sync_trigger_iterator_t More...
struct | xcb_sync_waitcondition_t
| xcb_sync_waitcondition_t More...
struct | xcb_sync_waitcondition_iterator_t
| xcb_sync_waitcondition_iterator_t More...
struct | xcb_sync_counter_error_t
| xcb_sync_counter_error_t More...
struct | xcb_sync_alarm_error_t
| xcb_sync_alarm_error_t More...
struct | xcb_sync_initialize_cookie_t
| xcb_sync_initialize_cookie_t More...
struct | xcb_sync_initialize_request_t
| xcb_sync_initialize_request_t More...
struct | xcb_sync_initialize_reply_t
| xcb_sync_initialize_reply_t More...
struct | xcb_sync_list_system_counters_cookie_t
| xcb_sync_list_system_counters_cookie_t More...
struct | xcb_sync_list_system_counters_request_t
| xcb_sync_list_system_counters_request_t More...
struct | xcb_sync_list_system_counters_reply_t
| xcb_sync_list_system_counters_reply_t More...
struct | xcb_sync_create_counter_request_t
| xcb_sync_create_counter_request_t More...
struct | xcb_sync_destroy_counter_request_t
| xcb_sync_destroy_counter_request_t More...
struct | xcb_sync_query_counter_cookie_t
| xcb_sync_query_counter_cookie_t More...
struct | xcb_sync_query_counter_request_t
| xcb_sync_query_counter_request_t More...
struct | xcb_sync_query_counter_reply_t
| xcb_sync_query_counter_reply_t More...
struct | xcb_sync_await_request_t
| xcb_sync_await_request_t More...
struct | xcb_sync_change_counter_request_t
| xcb_sync_change_counter_request_t More...
struct | xcb_sync_set_counter_request_t
| xcb_sync_set_counter_request_t More...
struct | xcb_sync_create_alarm_value_list_t
| xcb_sync_create_alarm_value_list_t More...
struct | xcb_sync_create_alarm_request_t
| xcb_sync_create_alarm_request_t More...
struct | xcb_sync_change_alarm_value_list_t
| xcb_sync_change_alarm_value_list_t More...
struct | xcb_sync_change_alarm_request_t
| xcb_sync_change_alarm_request_t More...
struct | xcb_sync_destroy_alarm_request_t
| xcb_sync_destroy_alarm_request_t More...
struct | xcb_sync_query_alarm_cookie_t
| xcb_sync_query_alarm_cookie_t More...
struct | xcb_sync_query_alarm_request_t
| xcb_sync_query_alarm_request_t More...
struct | xcb_sync_query_alarm_reply_t
| xcb_sync_query_alarm_reply_t More...
struct | xcb_sync_set_priority_request_t
| xcb_sync_set_priority_request_t More...
struct | xcb_sync_get_priority_cookie_t
| xcb_sync_get_priority_cookie_t More...
struct | xcb_sync_get_priority_request_t
| xcb_sync_get_priority_request_t More...
struct | xcb_sync_get_priority_reply_t
| xcb_sync_get_priority_reply_t More...
struct | xcb_sync_create_fence_request_t
| xcb_sync_create_fence_request_t More...
struct | xcb_sync_trigger_fence_request_t
| xcb_sync_trigger_fence_request_t More...
struct | xcb_sync_reset_fence_request_t
| xcb_sync_reset_fence_request_t More...
struct | xcb_sync_destroy_fence_request_t
| xcb_sync_destroy_fence_request_t More...
struct | xcb_sync_query_fence_cookie_t
| xcb_sync_query_fence_cookie_t More...
struct | xcb_sync_query_fence_request_t
| xcb_sync_query_fence_request_t More...
struct | xcb_sync_query_fence_reply_t
| xcb_sync_query_fence_reply_t More...
struct | xcb_sync_await_fence_request_t
| xcb_sync_await_fence_request_t More...
struct | xcb_sync_counter_notify_event_t
| xcb_sync_counter_notify_event_t More...
struct | xcb_sync_alarm_notify_event_t
| xcb_sync_alarm_notify_event_t More...

## Macros

#define | XCB_SYNC_MAJOR_VERSION 3
#define | XCB_SYNC_MINOR_VERSION 1
#define | XCB_SYNC_COUNTER 0
#define | XCB_SYNC_ALARM 1
#define | XCB_SYNC_INITIALIZE 0
#define | XCB_SYNC_LIST_SYSTEM_COUNTERS 1
#define | XCB_SYNC_CREATE_COUNTER 2
#define | XCB_SYNC_DESTROY_COUNTER 6
#define | XCB_SYNC_QUERY_COUNTER 5
#define | XCB_SYNC_AWAIT 7
#define | XCB_SYNC_CHANGE_COUNTER 4
#define | XCB_SYNC_SET_COUNTER 3
#define | XCB_SYNC_CREATE_ALARM 8
#define | XCB_SYNC_CHANGE_ALARM 9
#define | XCB_SYNC_DESTROY_ALARM 11
#define | XCB_SYNC_QUERY_ALARM 10
#define | XCB_SYNC_SET_PRIORITY 12
#define | XCB_SYNC_GET_PRIORITY 13
#define | XCB_SYNC_CREATE_FENCE 14
#define | XCB_SYNC_TRIGGER_FENCE 15
#define | XCB_SYNC_RESET_FENCE 16
#define | XCB_SYNC_DESTROY_FENCE 17
#define | XCB_SYNC_QUERY_FENCE 18
#define | XCB_SYNC_AWAIT_FENCE 19
#define | XCB_SYNC_COUNTER_NOTIFY 0
#define | XCB_SYNC_ALARM_NOTIFY 1

## Typedefs

typedef uint32_t | xcb_sync_alarm_t
typedef struct xcb_sync_alarm_iterator_t | xcb_sync_alarm_iterator_t
| xcb_sync_alarm_iterator_t
typedef enum xcb_sync_alarmstate_t | xcb_sync_alarmstate_t
typedef uint32_t | xcb_sync_counter_t
typedef struct xcb_sync_counter_iterator_t | xcb_sync_counter_iterator_t
| xcb_sync_counter_iterator_t
typedef uint32_t | xcb_sync_fence_t
typedef struct xcb_sync_fence_iterator_t | xcb_sync_fence_iterator_t
| xcb_sync_fence_iterator_t
typedef enum xcb_sync_testtype_t | xcb_sync_testtype_t
typedef enum xcb_sync_valuetype_t | xcb_sync_valuetype_t
typedef enum xcb_sync_ca_t | xcb_sync_ca_t
typedef struct xcb_sync_int64_t | xcb_sync_int64_t
| xcb_sync_int64_t
typedef struct xcb_sync_int64_iterator_t | xcb_sync_int64_iterator_t
| xcb_sync_int64_iterator_t
typedef struct xcb_sync_systemcounter_t | xcb_sync_systemcounter_t
| xcb_sync_systemcounter_t
typedef struct xcb_sync_systemcounter_iterator_t | xcb_sync_systemcounter_iterator_t
| xcb_sync_systemcounter_iterator_t
typedef struct xcb_sync_trigger_t | xcb_sync_trigger_t
| xcb_sync_trigger_t
typedef struct xcb_sync_trigger_iterator_t | xcb_sync_trigger_iterator_t
| xcb_sync_trigger_iterator_t
typedef struct xcb_sync_waitcondition_t | xcb_sync_waitcondition_t
| xcb_sync_waitcondition_t
typedef struct xcb_sync_waitcondition_iterator_t | xcb_sync_waitcondition_iterator_t
| xcb_sync_waitcondition_iterator_t
typedef struct xcb_sync_counter_error_t | xcb_sync_counter_error_t
| xcb_sync_counter_error_t
typedef struct xcb_sync_alarm_error_t | xcb_sync_alarm_error_t
| xcb_sync_alarm_error_t
typedef struct xcb_sync_initialize_cookie_t | xcb_sync_initialize_cookie_t
| xcb_sync_initialize_cookie_t
typedef struct xcb_sync_initialize_request_t | xcb_sync_initialize_request_t
| xcb_sync_initialize_request_t
typedef struct xcb_sync_initialize_reply_t | xcb_sync_initialize_reply_t
| xcb_sync_initialize_reply_t
typedef struct xcb_sync_list_system_counters_cookie_t | xcb_sync_list_system_counters_cookie_t
| xcb_sync_list_system_counters_cookie_t
typedef struct xcb_sync_list_system_counters_request_t | xcb_sync_list_system_counters_request_t
| xcb_sync_list_system_counters_request_t
typedef struct xcb_sync_list_system_counters_reply_t | xcb_sync_list_system_counters_reply_t
| xcb_sync_list_system_counters_reply_t
typedef struct xcb_sync_create_counter_request_t | xcb_sync_create_counter_request_t
| xcb_sync_create_counter_request_t
typedef struct xcb_sync_destroy_counter_request_t | xcb_sync_destroy_counter_request_t
| xcb_sync_destroy_counter_request_t
typedef struct xcb_sync_query_counter_cookie_t | xcb_sync_query_counter_cookie_t
| xcb_sync_query_counter_cookie_t
typedef struct xcb_sync_query_counter_request_t | xcb_sync_query_counter_request_t
| xcb_sync_query_counter_request_t
typedef struct xcb_sync_query_counter_reply_t | xcb_sync_query_counter_reply_t
| xcb_sync_query_counter_reply_t
typedef struct xcb_sync_await_request_t | xcb_sync_await_request_t
| xcb_sync_await_request_t
typedef struct xcb_sync_change_counter_request_t | xcb_sync_change_counter_request_t
| xcb_sync_change_counter_request_t
typedef struct xcb_sync_set_counter_request_t | xcb_sync_set_counter_request_t
| xcb_sync_set_counter_request_t
typedef struct xcb_sync_create_alarm_value_list_t | xcb_sync_create_alarm_value_list_t
| xcb_sync_create_alarm_value_list_t
typedef struct xcb_sync_create_alarm_request_t | xcb_sync_create_alarm_request_t
| xcb_sync_create_alarm_request_t
typedef struct xcb_sync_change_alarm_value_list_t | xcb_sync_change_alarm_value_list_t
| xcb_sync_change_alarm_value_list_t
typedef struct xcb_sync_change_alarm_request_t | xcb_sync_change_alarm_request_t
| xcb_sync_change_alarm_request_t
typedef struct xcb_sync_destroy_alarm_request_t | xcb_sync_destroy_alarm_request_t
| xcb_sync_destroy_alarm_request_t
typedef struct xcb_sync_query_alarm_cookie_t | xcb_sync_query_alarm_cookie_t
| xcb_sync_query_alarm_cookie_t
typedef struct xcb_sync_query_alarm_request_t | xcb_sync_query_alarm_request_t
| xcb_sync_query_alarm_request_t
typedef struct xcb_sync_query_alarm_reply_t | xcb_sync_query_alarm_reply_t
| xcb_sync_query_alarm_reply_t
typedef struct xcb_sync_set_priority_request_t | xcb_sync_set_priority_request_t
| xcb_sync_set_priority_request_t
typedef struct xcb_sync_get_priority_cookie_t | xcb_sync_get_priority_cookie_t
| xcb_sync_get_priority_cookie_t
typedef struct xcb_sync_get_priority_request_t | xcb_sync_get_priority_request_t
| xcb_sync_get_priority_request_t
typedef struct xcb_sync_get_priority_reply_t | xcb_sync_get_priority_reply_t
| xcb_sync_get_priority_reply_t
typedef struct xcb_sync_create_fence_request_t | xcb_sync_create_fence_request_t
| xcb_sync_create_fence_request_t
typedef struct xcb_sync_trigger_fence_request_t | xcb_sync_trigger_fence_request_t
| xcb_sync_trigger_fence_request_t
typedef struct xcb_sync_reset_fence_request_t | xcb_sync_reset_fence_request_t
| xcb_sync_reset_fence_request_t
typedef struct xcb_sync_destroy_fence_request_t | xcb_sync_destroy_fence_request_t
| xcb_sync_destroy_fence_request_t
typedef struct xcb_sync_query_fence_cookie_t | xcb_sync_query_fence_cookie_t
| xcb_sync_query_fence_cookie_t
typedef struct xcb_sync_query_fence_request_t | xcb_sync_query_fence_request_t
| xcb_sync_query_fence_request_t
typedef struct xcb_sync_query_fence_reply_t | xcb_sync_query_fence_reply_t
| xcb_sync_query_fence_reply_t
typedef struct xcb_sync_await_fence_request_t | xcb_sync_await_fence_request_t
| xcb_sync_await_fence_request_t
typedef struct xcb_sync_counter_notify_event_t | xcb_sync_counter_notify_event_t
| xcb_sync_counter_notify_event_t
typedef struct xcb_sync_alarm_notify_event_t | xcb_sync_alarm_notify_event_t
| xcb_sync_alarm_notify_event_t

## Enumerations

enum | xcb_sync_alarmstate_t { XCB_SYNC_ALARMSTATE_ACTIVE = 0 , XCB_SYNC_ALARMSTATE_INACTIVE = 1 , XCB_SYNC_ALARMSTATE_DESTROYED = 2 }
enum | xcb_sync_testtype_t { XCB_SYNC_TESTTYPE_POSITIVE_TRANSITION = 0 , XCB_SYNC_TESTTYPE_NEGATIVE_TRANSITION = 1 , XCB_SYNC_TESTTYPE_POSITIVE_COMPARISON = 2 , XCB_SYNC_TESTTYPE_NEGATIVE_COMPARISON = 3 }
enum | xcb_sync_valuetype_t { XCB_SYNC_VALUETYPE_ABSOLUTE = 0 , XCB_SYNC_VALUETYPE_RELATIVE = 1 }
enum | xcb_sync_ca_t { XCB_SYNC_CA_COUNTER = 1 , XCB_SYNC_CA_VALUE_TYPE = 2 , XCB_SYNC_CA_VALUE = 4 , XCB_SYNC_CA_TEST_TYPE = 8 , XCB_SYNC_CA_DELTA = 16 , XCB_SYNC_CA_EVENTS = 32 }

## Functions

void | xcb_sync_alarm_next (xcb_sync_alarm_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_alarm_end (xcb_sync_alarm_iterator_t i)
void | xcb_sync_counter_next (xcb_sync_counter_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_counter_end (xcb_sync_counter_iterator_t i)
void | xcb_sync_fence_next (xcb_sync_fence_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_fence_end (xcb_sync_fence_iterator_t i)
void | xcb_sync_int64_next (xcb_sync_int64_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_int64_end (xcb_sync_int64_iterator_t i)
int | xcb_sync_systemcounter_sizeof (const void *_buffer)
char * | xcb_sync_systemcounter_name (const xcb_sync_systemcounter_t *R)
int | xcb_sync_systemcounter_name_length (const xcb_sync_systemcounter_t *R)
xcb_generic_iterator_t | xcb_sync_systemcounter_name_end (const xcb_sync_systemcounter_t *R)
void | xcb_sync_systemcounter_next (xcb_sync_systemcounter_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_systemcounter_end (xcb_sync_systemcounter_iterator_t i)
void | xcb_sync_trigger_next (xcb_sync_trigger_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_trigger_end (xcb_sync_trigger_iterator_t i)
void | xcb_sync_waitcondition_next (xcb_sync_waitcondition_iterator_t *i)
xcb_generic_iterator_t | xcb_sync_waitcondition_end (xcb_sync_waitcondition_iterator_t i)
xcb_sync_initialize_cookie_t | xcb_sync_initialize (xcb_connection_t *c, uint8_t desired_major_version, uint8_t desired_minor_version)
xcb_sync_initialize_cookie_t | xcb_sync_initialize_unchecked (xcb_connection_t *c, uint8_t desired_major_version, uint8_t desired_minor_version)
xcb_sync_initialize_reply_t * | xcb_sync_initialize_reply (xcb_connection_t *c, xcb_sync_initialize_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_sync_list_system_counters_sizeof (const void *_buffer)
xcb_sync_list_system_counters_cookie_t | xcb_sync_list_system_counters (xcb_connection_t *c)
xcb_sync_list_system_counters_cookie_t | xcb_sync_list_system_counters_unchecked (xcb_connection_t *c)
int | xcb_sync_list_system_counters_counters_length (const xcb_sync_list_system_counters_reply_t *R)
xcb_sync_systemcounter_iterator_t | xcb_sync_list_system_counters_counters_iterator (const xcb_sync_list_system_counters_reply_t *R)
xcb_sync_list_system_counters_reply_t * | xcb_sync_list_system_counters_reply (xcb_connection_t *c, xcb_sync_list_system_counters_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_sync_create_counter_checked (xcb_connection_t *c, xcb_sync_counter_t id, xcb_sync_int64_t initial_value)
xcb_void_cookie_t | xcb_sync_create_counter (xcb_connection_t *c, xcb_sync_counter_t id, xcb_sync_int64_t initial_value)
xcb_void_cookie_t | xcb_sync_destroy_counter_checked (xcb_connection_t *c, xcb_sync_counter_t counter)
xcb_void_cookie_t | xcb_sync_destroy_counter (xcb_connection_t *c, xcb_sync_counter_t counter)
xcb_sync_query_counter_cookie_t | xcb_sync_query_counter (xcb_connection_t *c, xcb_sync_counter_t counter)
xcb_sync_query_counter_cookie_t | xcb_sync_query_counter_unchecked (xcb_connection_t *c, xcb_sync_counter_t counter)
xcb_sync_query_counter_reply_t * | xcb_sync_query_counter_reply (xcb_connection_t *c, xcb_sync_query_counter_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_sync_await_sizeof (const void *_buffer, uint32_t wait_list_len)
xcb_void_cookie_t | xcb_sync_await_checked (xcb_connection_t *c, uint32_t wait_list_len, const xcb_sync_waitcondition_t *wait_list)
xcb_void_cookie_t | xcb_sync_await (xcb_connection_t *c, uint32_t wait_list_len, const xcb_sync_waitcondition_t *wait_list)
xcb_sync_waitcondition_t * | xcb_sync_await_wait_list (const xcb_sync_await_request_t *R)
int | xcb_sync_await_wait_list_length (const xcb_sync_await_request_t *R)
xcb_sync_waitcondition_iterator_t | xcb_sync_await_wait_list_iterator (const xcb_sync_await_request_t *R)
xcb_void_cookie_t | xcb_sync_change_counter_checked (xcb_connection_t *c, xcb_sync_counter_t counter, xcb_sync_int64_t amount)
xcb_void_cookie_t | xcb_sync_change_counter (xcb_connection_t *c, xcb_sync_counter_t counter, xcb_sync_int64_t amount)
xcb_void_cookie_t | xcb_sync_set_counter_checked (xcb_connection_t *c, xcb_sync_counter_t counter, xcb_sync_int64_t value)
xcb_void_cookie_t | xcb_sync_set_counter (xcb_connection_t *c, xcb_sync_counter_t counter, xcb_sync_int64_t value)
int | xcb_sync_create_alarm_value_list_serialize (void **_buffer, uint32_t value_mask, const xcb_sync_create_alarm_value_list_t *_aux)
int | xcb_sync_create_alarm_value_list_unpack (const void *_buffer, uint32_t value_mask, xcb_sync_create_alarm_value_list_t *_aux)
int | xcb_sync_create_alarm_value_list_sizeof (const void *_buffer, uint32_t value_mask)
int | xcb_sync_create_alarm_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_sync_create_alarm_checked (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_sync_create_alarm (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_sync_create_alarm_aux_checked (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const xcb_sync_create_alarm_value_list_t *value_list)
xcb_void_cookie_t | xcb_sync_create_alarm_aux (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const xcb_sync_create_alarm_value_list_t *value_list)
void * | xcb_sync_create_alarm_value_list (const xcb_sync_create_alarm_request_t *R)
int | xcb_sync_change_alarm_value_list_serialize (void **_buffer, uint32_t value_mask, const xcb_sync_change_alarm_value_list_t *_aux)
int | xcb_sync_change_alarm_value_list_unpack (const void *_buffer, uint32_t value_mask, xcb_sync_change_alarm_value_list_t *_aux)
int | xcb_sync_change_alarm_value_list_sizeof (const void *_buffer, uint32_t value_mask)
int | xcb_sync_change_alarm_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_sync_change_alarm_checked (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_sync_change_alarm (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_sync_change_alarm_aux_checked (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const xcb_sync_change_alarm_value_list_t *value_list)
xcb_void_cookie_t | xcb_sync_change_alarm_aux (xcb_connection_t *c, xcb_sync_alarm_t id, uint32_t value_mask, const xcb_sync_change_alarm_value_list_t *value_list)
void * | xcb_sync_change_alarm_value_list (const xcb_sync_change_alarm_request_t *R)
xcb_void_cookie_t | xcb_sync_destroy_alarm_checked (xcb_connection_t *c, xcb_sync_alarm_t alarm)
xcb_void_cookie_t | xcb_sync_destroy_alarm (xcb_connection_t *c, xcb_sync_alarm_t alarm)
xcb_sync_query_alarm_cookie_t | xcb_sync_query_alarm (xcb_connection_t *c, xcb_sync_alarm_t alarm)
xcb_sync_query_alarm_cookie_t | xcb_sync_query_alarm_unchecked (xcb_connection_t *c, xcb_sync_alarm_t alarm)
xcb_sync_query_alarm_reply_t * | xcb_sync_query_alarm_reply (xcb_connection_t *c, xcb_sync_query_alarm_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_sync_set_priority_checked (xcb_connection_t *c, uint32_t id, int32_t priority)
xcb_void_cookie_t | xcb_sync_set_priority (xcb_connection_t *c, uint32_t id, int32_t priority)
xcb_sync_get_priority_cookie_t | xcb_sync_get_priority (xcb_connection_t *c, uint32_t id)
xcb_sync_get_priority_cookie_t | xcb_sync_get_priority_unchecked (xcb_connection_t *c, uint32_t id)
xcb_sync_get_priority_reply_t * | xcb_sync_get_priority_reply (xcb_connection_t *c, xcb_sync_get_priority_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_sync_create_fence_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_sync_fence_t fence, uint8_t initially_triggered)
xcb_void_cookie_t | xcb_sync_create_fence (xcb_connection_t *c, xcb_drawable_t drawable, xcb_sync_fence_t fence, uint8_t initially_triggered)
xcb_void_cookie_t | xcb_sync_trigger_fence_checked (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_void_cookie_t | xcb_sync_trigger_fence (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_void_cookie_t | xcb_sync_reset_fence_checked (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_void_cookie_t | xcb_sync_reset_fence (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_void_cookie_t | xcb_sync_destroy_fence_checked (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_void_cookie_t | xcb_sync_destroy_fence (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_sync_query_fence_cookie_t | xcb_sync_query_fence (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_sync_query_fence_cookie_t | xcb_sync_query_fence_unchecked (xcb_connection_t *c, xcb_sync_fence_t fence)
xcb_sync_query_fence_reply_t * | xcb_sync_query_fence_reply (xcb_connection_t *c, xcb_sync_query_fence_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_sync_await_fence_sizeof (const void *_buffer, uint32_t fence_list_len)
xcb_void_cookie_t | xcb_sync_await_fence_checked (xcb_connection_t *c, uint32_t fence_list_len, const xcb_sync_fence_t *fence_list)
xcb_void_cookie_t | xcb_sync_await_fence (xcb_connection_t *c, uint32_t fence_list_len, const xcb_sync_fence_t *fence_list)
xcb_sync_fence_t * | xcb_sync_await_fence_fence_list (const xcb_sync_await_fence_request_t *R)
int | xcb_sync_await_fence_fence_list_length (const xcb_sync_await_fence_request_t *R)
xcb_generic_iterator_t | xcb_sync_await_fence_fence_list_end (const xcb_sync_await_fence_request_t *R)

## Variables

xcb_extension_t | xcb_sync_id

## Detailed Description

Sync XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_SYNC_ALARM

#define XCB_SYNC_ALARM 1

Opcode for xcb_sync_alarm.

## XCB_SYNC_ALARM_NOTIFY

#define XCB_SYNC_ALARM_NOTIFY 1

Opcode for xcb_sync_alarm_notify.

## XCB_SYNC_AWAIT

#define XCB_SYNC_AWAIT 7

Opcode for xcb_sync_await.

Referenced by xcb_sync_await(), and xcb_sync_await_checked().

## XCB_SYNC_AWAIT_FENCE

#define XCB_SYNC_AWAIT_FENCE 19

Opcode for xcb_sync_await_fence.

Referenced by xcb_sync_await_fence(), and xcb_sync_await_fence_checked().

## XCB_SYNC_CHANGE_ALARM

#define XCB_SYNC_CHANGE_ALARM 9

Opcode for xcb_sync_change_alarm.

Referenced by xcb_sync_change_alarm(), xcb_sync_change_alarm_aux(), xcb_sync_change_alarm_aux_checked(), and xcb_sync_change_alarm_checked().

## XCB_SYNC_CHANGE_COUNTER

#define XCB_SYNC_CHANGE_COUNTER 4

Opcode for xcb_sync_change_counter.

Referenced by xcb_sync_change_counter(), and xcb_sync_change_counter_checked().

## XCB_SYNC_COUNTER

#define XCB_SYNC_COUNTER 0

Opcode for xcb_sync_counter.

## XCB_SYNC_COUNTER_NOTIFY

#define XCB_SYNC_COUNTER_NOTIFY 0

Opcode for xcb_sync_counter_notify.

## XCB_SYNC_CREATE_ALARM

#define XCB_SYNC_CREATE_ALARM 8

Opcode for xcb_sync_create_alarm.

Referenced by xcb_sync_create_alarm(), xcb_sync_create_alarm_aux(), xcb_sync_create_alarm_aux_checked(), and xcb_sync_create_alarm_checked().

## XCB_SYNC_CREATE_COUNTER

#define XCB_SYNC_CREATE_COUNTER 2

Opcode for xcb_sync_create_counter.

Referenced by xcb_sync_create_counter(), and xcb_sync_create_counter_checked().

## XCB_SYNC_CREATE_FENCE

#define XCB_SYNC_CREATE_FENCE 14

Opcode for xcb_sync_create_fence.

Referenced by xcb_sync_create_fence(), and xcb_sync_create_fence_checked().

## XCB_SYNC_DESTROY_ALARM

#define XCB_SYNC_DESTROY_ALARM 11

Opcode for xcb_sync_destroy_alarm.

Referenced by xcb_sync_destroy_alarm(), and xcb_sync_destroy_alarm_checked().

## XCB_SYNC_DESTROY_COUNTER

#define XCB_SYNC_DESTROY_COUNTER 6

Opcode for xcb_sync_destroy_counter.

Referenced by xcb_sync_destroy_counter(), and xcb_sync_destroy_counter_checked().

## XCB_SYNC_DESTROY_FENCE

#define XCB_SYNC_DESTROY_FENCE 17

Opcode for xcb_sync_destroy_fence.

Referenced by xcb_sync_destroy_fence(), and xcb_sync_destroy_fence_checked().

## XCB_SYNC_GET_PRIORITY

#define XCB_SYNC_GET_PRIORITY 13

Opcode for xcb_sync_get_priority.

Referenced by xcb_sync_get_priority(), and xcb_sync_get_priority_unchecked().

## XCB_SYNC_INITIALIZE

#define XCB_SYNC_INITIALIZE 0

Opcode for xcb_sync_initialize.

Referenced by xcb_sync_initialize(), and xcb_sync_initialize_unchecked().

## XCB_SYNC_LIST_SYSTEM_COUNTERS

#define XCB_SYNC_LIST_SYSTEM_COUNTERS 1

Opcode for xcb_sync_list_system_counters.

Referenced by xcb_sync_list_system_counters(), and xcb_sync_list_system_counters_unchecked().

## XCB_SYNC_QUERY_ALARM

#define XCB_SYNC_QUERY_ALARM 10

Opcode for xcb_sync_query_alarm.

Referenced by xcb_sync_query_alarm(), and xcb_sync_query_alarm_unchecked().

## XCB_SYNC_QUERY_COUNTER

#define XCB_SYNC_QUERY_COUNTER 5

Opcode for xcb_sync_query_counter.

Referenced by xcb_sync_query_counter(), and xcb_sync_query_counter_unchecked().

## XCB_SYNC_QUERY_FENCE

#define XCB_SYNC_QUERY_FENCE 18

Opcode for xcb_sync_query_fence.

Referenced by xcb_sync_query_fence(), and xcb_sync_query_fence_unchecked().

## XCB_SYNC_RESET_FENCE

#define XCB_SYNC_RESET_FENCE 16

Opcode for xcb_sync_reset_fence.

Referenced by xcb_sync_reset_fence(), and xcb_sync_reset_fence_checked().

## XCB_SYNC_SET_COUNTER

#define XCB_SYNC_SET_COUNTER 3

Opcode for xcb_sync_set_counter.

Referenced by xcb_sync_set_counter(), and xcb_sync_set_counter_checked().

## XCB_SYNC_SET_PRIORITY

#define XCB_SYNC_SET_PRIORITY 12

Opcode for xcb_sync_set_priority.

Referenced by xcb_sync_set_priority(), and xcb_sync_set_priority_checked().

## XCB_SYNC_TRIGGER_FENCE

#define XCB_SYNC_TRIGGER_FENCE 15

Opcode for xcb_sync_trigger_fence.

Referenced by xcb_sync_trigger_fence(), and xcb_sync_trigger_fence_checked().

## Function Documentation

## xcb_sync_alarm_end()

xcb_generic_iterator_t xcb_sync_alarm_end | ( | xcb_sync_alarm_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_alarm_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_alarm_next()

void xcb_sync_alarm_next | ( | xcb_sync_alarm_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_alarm_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_alarm_t)

## xcb_sync_await()

xcb_void_cookie_t xcb_sync_await | ( | xcb_connection_t * | c,
|  | uint32_t | wait_list_len,
|  | const xcb_sync_waitcondition_t * | wait_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_AWAIT.

## xcb_sync_await_checked()

xcb_void_cookie_t xcb_sync_await_checked | ( | xcb_connection_t * | c,
|  | uint32_t | wait_list_len,
|  | const xcb_sync_waitcondition_t * | wait_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_AWAIT.

## xcb_sync_await_fence()

xcb_void_cookie_t xcb_sync_await_fence | ( | xcb_connection_t * | c,
|  | uint32_t | fence_list_len,
|  | const xcb_sync_fence_t * | fence_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_AWAIT_FENCE.

## xcb_sync_await_fence_checked()

xcb_void_cookie_t xcb_sync_await_fence_checked | ( | xcb_connection_t * | c,
|  | uint32_t | fence_list_len,
|  | const xcb_sync_fence_t * | fence_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_AWAIT_FENCE.

## xcb_sync_change_alarm()

xcb_void_cookie_t xcb_sync_change_alarm | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CHANGE_ALARM.

## xcb_sync_change_alarm_aux()

xcb_void_cookie_t xcb_sync_change_alarm_aux | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const xcb_sync_change_alarm_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CHANGE_ALARM.

## xcb_sync_change_alarm_aux_checked()

xcb_void_cookie_t xcb_sync_change_alarm_aux_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const xcb_sync_change_alarm_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CHANGE_ALARM.

## xcb_sync_change_alarm_checked()

xcb_void_cookie_t xcb_sync_change_alarm_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CHANGE_ALARM.

## xcb_sync_change_counter()

xcb_void_cookie_t xcb_sync_change_counter | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter,
|  | xcb_sync_int64_t | amount )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CHANGE_COUNTER.

## xcb_sync_change_counter_checked()

xcb_void_cookie_t xcb_sync_change_counter_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter,
|  | xcb_sync_int64_t | amount )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CHANGE_COUNTER.

## xcb_sync_counter_end()

xcb_generic_iterator_t xcb_sync_counter_end | ( | xcb_sync_counter_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_counter_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_counter_next()

void xcb_sync_counter_next | ( | xcb_sync_counter_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_counter_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_counter_t)

## xcb_sync_create_alarm()

xcb_void_cookie_t xcb_sync_create_alarm | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CREATE_ALARM.

## xcb_sync_create_alarm_aux()

xcb_void_cookie_t xcb_sync_create_alarm_aux | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const xcb_sync_create_alarm_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CREATE_ALARM.

## xcb_sync_create_alarm_aux_checked()

xcb_void_cookie_t xcb_sync_create_alarm_aux_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const xcb_sync_create_alarm_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CREATE_ALARM.

## xcb_sync_create_alarm_checked()

xcb_void_cookie_t xcb_sync_create_alarm_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | id,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CREATE_ALARM.

## xcb_sync_create_counter()

xcb_void_cookie_t xcb_sync_create_counter | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | id,
|  | xcb_sync_int64_t | initial_value )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CREATE_COUNTER.

## xcb_sync_create_counter_checked()

xcb_void_cookie_t xcb_sync_create_counter_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | id,
|  | xcb_sync_int64_t | initial_value )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CREATE_COUNTER.

## xcb_sync_create_fence()

xcb_void_cookie_t xcb_sync_create_fence | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_sync_fence_t | fence,
|  | uint8_t | initially_triggered )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_CREATE_FENCE.

## xcb_sync_create_fence_checked()

xcb_void_cookie_t xcb_sync_create_fence_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_sync_fence_t | fence,
|  | uint8_t | initially_triggered )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_CREATE_FENCE.

## xcb_sync_destroy_alarm()

xcb_void_cookie_t xcb_sync_destroy_alarm | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | alarm )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_DESTROY_ALARM.

## xcb_sync_destroy_alarm_checked()

xcb_void_cookie_t xcb_sync_destroy_alarm_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | alarm )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_DESTROY_ALARM.

## xcb_sync_destroy_counter()

xcb_void_cookie_t xcb_sync_destroy_counter | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_DESTROY_COUNTER.

## xcb_sync_destroy_counter_checked()

xcb_void_cookie_t xcb_sync_destroy_counter_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_DESTROY_COUNTER.

## xcb_sync_destroy_fence()

xcb_void_cookie_t xcb_sync_destroy_fence | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_DESTROY_FENCE.

## xcb_sync_destroy_fence_checked()

xcb_void_cookie_t xcb_sync_destroy_fence_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_DESTROY_FENCE.

## xcb_sync_fence_end()

xcb_generic_iterator_t xcb_sync_fence_end | ( | xcb_sync_fence_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_fence_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_fence_next()

void xcb_sync_fence_next | ( | xcb_sync_fence_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_fence_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_fence_t)

## xcb_sync_get_priority()

xcb_sync_get_priority_cookie_t xcb_sync_get_priority | ( | xcb_connection_t * | c,
|  | uint32_t | id )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_GET_PRIORITY.

## xcb_sync_get_priority_reply()

xcb_sync_get_priority_reply_t * xcb_sync_get_priority_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_get_priority_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_get_priority_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_get_priority_unchecked()

xcb_sync_get_priority_cookie_t xcb_sync_get_priority_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | id )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_GET_PRIORITY.

## xcb_sync_initialize()

xcb_sync_initialize_cookie_t xcb_sync_initialize | ( | xcb_connection_t * | c,
|  | uint8_t | desired_major_version,
|  | uint8_t | desired_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_INITIALIZE.

## xcb_sync_initialize_reply()

xcb_sync_initialize_reply_t * xcb_sync_initialize_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_initialize_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_initialize_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_initialize_unchecked()

xcb_sync_initialize_cookie_t xcb_sync_initialize_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | desired_major_version,
|  | uint8_t | desired_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_INITIALIZE.

## xcb_sync_int64_end()

xcb_generic_iterator_t xcb_sync_int64_end | ( | xcb_sync_int64_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_int64_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_int64_next()

void xcb_sync_int64_next | ( | xcb_sync_int64_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_int64_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_int64_t)

## xcb_sync_list_system_counters()

xcb_sync_list_system_counters_cookie_t xcb_sync_list_system_counters | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_LIST_SYSTEM_COUNTERS.

## xcb_sync_list_system_counters_reply()

xcb_sync_list_system_counters_reply_t * xcb_sync_list_system_counters_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_list_system_counters_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_list_system_counters_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_list_system_counters_unchecked()

xcb_sync_list_system_counters_cookie_t xcb_sync_list_system_counters_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_LIST_SYSTEM_COUNTERS.

## xcb_sync_query_alarm()

xcb_sync_query_alarm_cookie_t xcb_sync_query_alarm | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | alarm )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_QUERY_ALARM.

## xcb_sync_query_alarm_reply()

xcb_sync_query_alarm_reply_t * xcb_sync_query_alarm_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_query_alarm_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_query_alarm_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_query_alarm_unchecked()

xcb_sync_query_alarm_cookie_t xcb_sync_query_alarm_unchecked | ( | xcb_connection_t * | c,
|  | xcb_sync_alarm_t | alarm )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_QUERY_ALARM.

## xcb_sync_query_counter()

xcb_sync_query_counter_cookie_t xcb_sync_query_counter | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_QUERY_COUNTER.

## xcb_sync_query_counter_reply()

xcb_sync_query_counter_reply_t * xcb_sync_query_counter_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_query_counter_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_query_counter_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_query_counter_unchecked()

xcb_sync_query_counter_cookie_t xcb_sync_query_counter_unchecked | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_QUERY_COUNTER.

## xcb_sync_query_fence()

xcb_sync_query_fence_cookie_t xcb_sync_query_fence | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_QUERY_FENCE.

## xcb_sync_query_fence_reply()

xcb_sync_query_fence_reply_t * xcb_sync_query_fence_reply | ( | xcb_connection_t * | c,
|  | xcb_sync_query_fence_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_sync_query_fence_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_sync_query_fence_unchecked()

xcb_sync_query_fence_cookie_t xcb_sync_query_fence_unchecked | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SYNC_QUERY_FENCE.

## xcb_sync_reset_fence()

xcb_void_cookie_t xcb_sync_reset_fence | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_RESET_FENCE.

## xcb_sync_reset_fence_checked()

xcb_void_cookie_t xcb_sync_reset_fence_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_RESET_FENCE.

## xcb_sync_set_counter()

xcb_void_cookie_t xcb_sync_set_counter | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter,
|  | xcb_sync_int64_t | value )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_SET_COUNTER.

## xcb_sync_set_counter_checked()

xcb_void_cookie_t xcb_sync_set_counter_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_counter_t | counter,
|  | xcb_sync_int64_t | value )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_SET_COUNTER.

## xcb_sync_set_priority()

xcb_void_cookie_t xcb_sync_set_priority | ( | xcb_connection_t * | c,
|  | uint32_t | id,
|  | int32_t | priority )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_SET_PRIORITY.

## xcb_sync_set_priority_checked()

xcb_void_cookie_t xcb_sync_set_priority_checked | ( | xcb_connection_t * | c,
|  | uint32_t | id,
|  | int32_t | priority )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_SET_PRIORITY.

## xcb_sync_systemcounter_end()

xcb_generic_iterator_t xcb_sync_systemcounter_end | ( | xcb_sync_systemcounter_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_systemcounter_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_sync_systemcounter_next().

## xcb_sync_systemcounter_next()

void xcb_sync_systemcounter_next | ( | xcb_sync_systemcounter_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_systemcounter_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_systemcounter_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_sync_systemcounter_end().

## xcb_sync_trigger_end()

xcb_generic_iterator_t xcb_sync_trigger_end | ( | xcb_sync_trigger_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_trigger_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_trigger_fence()

xcb_void_cookie_t xcb_sync_trigger_fence | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SYNC_TRIGGER_FENCE.

## xcb_sync_trigger_fence_checked()

xcb_void_cookie_t xcb_sync_trigger_fence_checked | ( | xcb_connection_t * | c,
|  | xcb_sync_fence_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SYNC_TRIGGER_FENCE.

## xcb_sync_trigger_next()

void xcb_sync_trigger_next | ( | xcb_sync_trigger_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_trigger_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_trigger_t)

## xcb_sync_waitcondition_end()

xcb_generic_iterator_t xcb_sync_waitcondition_end | ( | xcb_sync_waitcondition_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_sync_waitcondition_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_sync_waitcondition_next()

void xcb_sync_waitcondition_next | ( | xcb_sync_waitcondition_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_sync_waitcondition_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_sync_waitcondition_t)